Subject: Re: setting up tracking on push

From: Miles Bader <[email-masked]>
Date: Wed, 11 Mar 2009 14:03:14 +0900

Miles Bader <[email-masked]> writes:
> I agree, and that's the use-case that prompted my original query.  I
> very often create a new branch locally, and later push it to origin
> with an intent to subsequently keep it synced with the new remote
> branch.

Oh, and I also always use the syntax:

   git push origin BRANCH_NAME

As the (apparent) objection adding "git push --track" was the question
of what the behavior would be in the general case (where lots of
branches can be pushed), maybe restricting "--track" to only specific
cases would be a possible solution?

-Miles

-- 
97% of everything is grunge